
section.tegalog {
	max-width: 70rem;
	margin: 0 auto var(--margin-base);
}
iframe {
    max-width: 100%;
}

/* QUICKPOST装飾 */
.postform {
	background-color: var(--color-light);
	padding: 1rem;
	border-radius: 6px;
}
.postform p { margin: 0;}

/* 本文入力欄 */
textarea.tegalogpost {
	border: 1px var(--color-accent) solid;	/* 枠線 */
	background-color: var(--color-light);	/* 背景色 */
	color: var(--color-text);/* 文字色 */
	padding: 0.5rem;				/* 内側の余白量 */
	box-sizing: border-box;		/* サイズ解釈方法 */
	width: 100%;				/* 横幅 */
	height: 150px !important;				/* 高さ */
	overflow-wrap: break-word;	/* 折り返し方法 */
	overflow: auto;				/* はみ出した場合の処理 */
	line-height: 1.5;
}

/* 投稿コントロール部分(ボタンや字数カウンタなど) */
/* 投稿ボタン */
.postbutton {
	display: inline-block;		/* インラインブロック化 */
	background: var(--color-main);
	color: var(--color-light);
	border-radius: 4px;
	text-decoration: none;
	padding: 0.3em 1em;
	border: none;
	cursor: pointer;
}
.line-control .changelink {
	display: none;
}

/* 投稿ボタンにマウスが載ったとき */
.postbutton:hover { background-color: var(--color-accent);}

/* 文字装飾ボタン群 */
/* 掲載領域全体 */ .decoBtns { display: inline-block; margin-top: 5px; }
/* 全ボタン装飾 */ 
.decoBtns input {
	min-width: 3em;
	min-height: 28px;
	margin:1px;
	padding: 0 0.3em 0;
	color: var(--color-text);
	background-color: var(--color-light);
	border: 1px solid var(--color-main);
	cursor: pointer;
	border-radius: 4px;
    text-align: center;
	vertical-align: middle;
}
/* マウス載る際 */ .decoBtns input:hover{ border: 1px dotted var(--color-main);}
/* 太字  :B */ .decoBtnB { font-weight: bold; }
/* 取消線:D */ .decoBtnD { text-decoration: line-through;}
/* 強調  :E */ .decoBtnE { font-weight: bold; background: linear-gradient(transparent 60%, var(--color-accent) 60%); }
/* 斜体  :I */ .decoBtnI { font-style: italic; font-family: 'Hiragino Kaku Gothic ProN','游ゴシック';}
/* 極小  :T */ .decoBtnT { font-size: 11px !important; }
/* 下線  :U */ .decoBtnU { text-decoration: underline;}
/* 文字色:C */ .decoBtnC { color: red !important; }
/* 背景色:M */ .decoBtnM { background-color: greenyellow !important;}

/* カテゴリ選択チェックボックス群 */
.catChecks { font-size:0.9rem; padding-top: 0.5rem; }
.catChecks label { display:inline-block; cursor:pointer; margin:0 0.75rem 0 0; }
.catChecks label:hover { text-decoration:underline; }
.catChecks input { min-width:0; min-height:0; margin-right:0.2rem; }

/* 投稿欄下部：「鍵付き」チェックボックスと「個別鍵」ボタンの間を詰める一時的なスタイル */
.funcUIs .catChecks { margin:0 0.75rem 0 0; }
.funcUIs .catChecks label { margin: 0; }

/*プルダウンの装飾*/
.decoBtns select {
	border:1px solid var(--color-main);
	padding: 0.3rem;
	background: var(--color-light);
	color: var(--color-text);
	box-shadow: none;
	cursor: pointer;
}
span.catChecks label {
    margin-right: 5px;
    font-size: 90%;
}
ul.cattree {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    background: var(--color-light);
    gap: 6px;
    padding: 10px;
    border-radius: 6px;
    position: relative;
    margin-bottom: 5px;
}
ul.cattree li {
	font-size: 90%;
	margin-right: 10px;
    padding: 0;
    position: relative;
    z-index: 2;
}
ul.hashtaglist {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    background: var(--color-light);
    gap: 6px;
    padding: 10px;
    border-radius: 6px;
}
ul.hashtaglist li {
	font-size: 85%;
	margin-right: 10px;
    padding: 0;
    position: relative;
    z-index: 2;
}

/* カテゴリ前アイコン */
.categoryname.cat-diary:before {
	font-family: var(--font-icon);
	content: "\f304";
	font-weight: 900;
    margin-right: 2px;
}
.categoryname.cat-game:before {
	font-family: var(--font-icon);
	content: "\f11b";
	font-weight: 900;
    margin-right: 2px;
}
.categoryname.cat-update:before {
	font-family: var(--font-icon);
	content: "\f35b";
	font-weight: 900;
    margin-right: 2px;
}
.categoryname.cat-pic:before {
	font-family: var(--font-icon);
	content: "\f302";
	font-weight: 900;
    margin-right: 2px;
}
.categoryname.cat-cppic:before {
	font-family: var(--font-icon);
	content: "\f023";
	font-weight: 900;
    margin-right: 2px;
}
.categoryname.cat-offline:before {
	font-family: var(--font-icon);
	content: "\f02d";
	font-weight: 900;
    margin-right: 2px;
}
.categoryname.cat-res:before {
	font-family: var(--font-icon);
	content: "\f3e5";
	font-weight: 900;
    margin-right: 2px;
}
/* カテゴリ前アイコン 下（一覧  */
.catlink.cat-diary:before {
	font-family: var(--font-icon);
	content: "\f304";
	font-weight: 900;
    margin-right: 2px;
}
.catlink.cat-game:before {
	font-family: var(--font-icon);
	content: "\f11b";
	font-weight: 900;
    margin-right: 2px;
}
.catlink.cat-update:before {
	font-family: var(--font-icon);
	content: "\f35b";
	font-weight: 900;
    margin-right: 2px;
}
.catlink.cat-pic:before {
	font-family: var(--font-icon);
	content: "\f302";
	font-weight: 900;
    margin-right: 2px;
}
.catlink.cat-cppic:before {
	font-family: var(--font-icon);
	content: "\f023";
	font-weight: 900;
    margin-right: 2px;
}
.catlink.cat-offline:before {
	font-family: var(--font-icon);
	content: "\f02d";
	font-weight: 900;
    margin-right: 2px;
}
.catlink.cat-res:before {
	font-family: var(--font-icon);
	content: "\f3e5";
	font-weight: 900;
    margin-right: 2px;
}


ul.cattree li:before, ul.cattree li:after,
ul.hashtaglist li:before, ul.hashtaglist li:after {
    display: none;
}


div.onelogbox {
	max-width: 70rem;
	margin: 0 auto 1em;
    border-radius: 6px;
}
p.oneloginfo {
    text-align: right;
    font-size: 90%;
	color: var(--color-main);
	margin-top: 1em;
}
p.oneloginfo a.categorylink {
    display: inline-block;
    text-decoration: none;
    color: var(--color-main);
    margin-right: 8px;
}

.oneloghead{
    display: flex;
    align-items: center;
    margin: 2em auto 6px;
}
.oneloghead::before {
    font-family: var(--font-icon);
    content: "\f31c";
    color: var(--color-main);
    font-weight: 900;
}

.postdate {
    font-weight: 600;
    flex-grow: 0;
}

.categories{
    display: inline-block;
    margin-left: 1em;
    flex-grow: 0;
}

.categoryname {
    display: inline-block;
    border-radius: 4px;
    background-color: var(--color-light);
    font-size: 1em;
    padding: 0 5px;
    margin-right: 5px;
}

.nokori{
    flex-grow: 1;
    border-bottom: 2px dashed var(--color-accent);
}

p.situation {
    font-size: 90%;
    color: var(--color-main);
}
span.situation-postno {
    border: 1px solid;
    display: inline-block;
    padding: 3px 8px;
    border-radius: 3px;
    line-height: 1.6em;
}
p.dateseparator {
    display: none;
    font-size: 90%;
    color: var(--color-light);
    background: #ccc;
    width: fit-content;
    padding: 3px 5px;
    line-height: 1.6em;
    margin: 0 auto -20px 0;
}
p.dateseparator.fixedseparator {
    display: block;
}

.pagenavi { margin-bottom: 3rem; text-align: center;}

p.pagenums {
    text-align: center;
    margin: 5px auto;
}
a.pagenumlink {
	display: inline-block;
	color: var(--color-main);
	width: 25px;
	height: 25px;
	line-height: 25px;
	margin-top: 0.3rem;
	border-radius: 4px;
	background-color: var(--color-light);
}

/* 現在のページ番号とマウスオーバー時の装飾 */	
a.pagenumhere,.pagenumlink:hover {
	color: var(--color-light);
	background-color: var(--color-main);
}
.comment {
    word-break: break-word;
}
a.readmorebutton {
    margin: 5px auto;
    border: 1px solid;
    text-decoration: none;
    color: var(--color-main);
    text-align: center;
    padding: 2px 10px;
    border-radius: 3px;
}
a.readmorebutton.readmoreclose {
    padding: 2px 10px;
    font-size: 85%;
    margin-left: 5px;
    white-space: nowrap;
}

/* ============================================================ */
/* ■鍵付き(パスワード保護)投稿に表示される鍵入力フォームの装飾 */
/* ============================================================ */
.passkeyform {
	display: inline-block;
	margin: 0;
	padding: 0.6em;
	background-color: var(--color-light);
	border: 1px solid var(--color-marker);
	border-radius: 0.25em;
}

	/* ▼鍵違いエラーの表示 */
	.passkeyerror {
		display: block;
		color: var(--color-light);
		background-color: rgb(230, 171, 183);
		font-weight: bold;
		line-height: 1;
		margin: 0 0 0.5em 0;
		padding: 0.33em 0.25em;
	}

	/* ▼入力フォーム枠 */
	.passkeybox {
		display: block;
	}

		/* ▼入力欄前のガイド文 */
		.passkeyguide {
			margin-right: 0.1em;
		}
		/* ▼鍵入力欄 */
		.passkeyinput {
			width: 10em;
			margin: 0 0.25em 3px 0;
		}
		/* ▼送信ボタン */
		.passkeysubmit {
		}


a.nsfw {
    position: relative;
    overflow: hidden;
    display: block;
  }
  a.nsfw img {
    filter: blur(15px);
  }
  a.nsfw:before {
    font-family: 'Line Awesome Free';
    font-weight: 900;
    content: "\f071";
    vertical-align: middle;
    margin-right: 5px;
    color: #ffffff;
    display: block;
    width: 100%;
    height: 100%;
    background: #0000003a;
    position: absolute;
    z-index: 1;
    text-align: center;
    font-size: 50px;
    margin: auto;
    top: 0;
    padding: 20% 0 0;
  }
  @media (min-width: 768px) {
    a.nsfw:before {
      font-size: 70px;
    }
  }
        


/* リンクの装飾 */
a.labeledlink::before {
	font-family: "Font Awesome 6 Free";
	content: "\f08e";
	color: var(--color-accent);
	font-weight: 900;
	margin-right: 1px;
}

p.poweredby {
    text-align: right;
    font-size: 0.8em;
    margin-right: 40px;
}

/* 埋め込みTweet */	/* これはツイートが埋め込まれる処理「前」用の装飾です。実際に埋め込まれるツイートはTwitter側のiframeで装飾されますので、てがろぐ側では指定できません。 */
blockquote.twitter-tweet {
	background-color: #f8f8f8;
	border: 1px dashed #ddd;
	border-radius: 9px;
	margin: 0.3rem 0;
	padding: 1rem;
	font-size: 0.8rem;
	color: #999;
	text-shadow: 1px 1px 1px #fff;
}

/* 埋め込みツイートの横幅を強制的に制限 追加　*/
div.twitter-tweet { 
	max-width: 400px !important;
	width: 100%;
	max-height: 400px;
	overflow-y: scroll;
}

.embeddedimage {
	max-width: 100%;	/* 横方向にはみ出ないようにする */
	width: 350px; /* 追加 */
	height: auto;	/* 高さを固定したい場合を除いて、ここは auto のままにするのがお勧め */
}



/* 追加241007 */


.onelogbox {
	padding: var(--margin-base) calc(var(--margin-base) * 1.1);
	background-color: var(--color-light);
	border-radius: var(--border-radius);
}

.onelogbox img {
    max-width: 100%; /* 画像の幅を親要素に対して最大幅で表示 */
    height: auto;
}

.btnarea {
	width: 100%;
	max-width: 700px;
    right: calc(50% - 35rem);
	position: fixed;
	z-index: 101;
	bottom: 0;
	pointer-events:none;
}

.ue_btn {
	margin-left: auto;
	display: grid;
	place-items: center;
	width: 40px;
	height: 40px;
	background: var(--color-accent);
	pointer-events:auto;
    margin-top: 2px;
    border-radius: 4px;
	&:hover{ background-color: var(--color-main);}
}
@media screen and (max-width: 700px) {
    .btnarea {
        right: 0; /* 画面幅が700px未満の場合、画面右下に配置 */
        width: 100%;
    }
}

ul.hashtaglist .taglink::before { content: '\23';}/* 先頭の＃ */



.pagewrap {
	animation: fadein 0.2s forwards;
}

@keyframes fadein {
	0% {opacity: 0}
	100% {opacity: 1}
}

/* quickpost モーダル */

.postbtn {
	position: fixed;
	bottom: 55px;
	left: 10px;
	width: 40px;
	height: 40px;
	background-color: var(--color-accent);
	border-radius: 20px;
	cursor: pointer;
	border: 2px solid var(--color-light);
	transition: background-color 0.3s;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 20;
}
.postbtn i{
	color: var(--color-sunmoon);
	font-size: 20px;
	vertical-align: -2px;
}

.modal-open{
	cursor: pointer;
  }

.modal{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	background: rgba(0,0,0,60%);
	padding: 40px 20px;
	overflow: auto;
	opacity: 0;
	visibility: hidden;
	transition: .3s;
	box-sizing: border-box;
	z-index: 150;
}

.modal:before{
	content: "";
	display: inline-block;
	vertical-align: middle;
	height: 100%;
	margin-left: -0.2em;
}

.modal.is-active{
	opacity: 1;
	visibility: visible;
}

.modal-container{
	position: relative;
	display: inline-block;
	vertical-align: middle;
	max-width: 600px;
	width: 90%;
	background-color: var(--color-light);
	border-radius: 6px;
}

.modal-close{
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	right: 3px;
	width: 30px;
	height: 30px;
	cursor: pointer;
	font-size: 20px;
}

.modal-content{
	line-height: 1.4;
	padding: 2em;
}
.modal-content h3{
	text-align: center;
	font-size: 1.1em;
}
.modal-content p{
	text-align: center;
	margin: 1em;
}
